package com.jfinal.template;

import com.jfinal.club.common.model.Document;
import com.jfinal.kit.Kv;
import com.jfinal.kit.PathKit;
import io.undertow.util.FileUtils;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import java.io.*;
import java.util.List;

public class EngineTest {

	public static void main(String[] args) {
		Engine engine = Engine.use().setBaseTemplatePath(PathKit.getWebRootPath());
		Template template = engine.getTemplateByString("#(value)");
		String ret = template.renderToString(Kv.by("value", 123));
		System.out.println(ret);
	}





}
